!-----------------------------------------------------------------------
!  PSGHOI -- CROSS SECTION OF O+8 + H --> O+8 + H+
!
real(fp)FUNCTION psghoi8(ZE)
!
! INPUT
!  ZE -- COLLISION ENERGY **PER NUCLEON**  EV/AMU
!
! OUTPUT
!  PSGHOI -- CROSS SECTION, CM**2
!
! REFERENCE
!  ORNL-6090/V5, ATOMIC DATA FOR FUSION, VOLUME V,
!    "COLLISIONS OF CARBON AND OXYGEN IONS WITH ELECTRONS, H, H2, & He"
!    R.A. PHANEUF, R.K. JANEV, M.S. PINDZOLA
!
!============
! idecl:  explicitize implicit REAL declarations:
  use iso_c_binding, only: fp => c_double
  IMPLICIT NONE
  real(fp)ze,emin,emax,zans,psgchvx8
!============
  real(fp)CCHEV(9)
!
  DATA EMIN/2.7e+4/
  DATA EMAX/1.0e+7/
!
  DATA CCHEV/&
       -7.01884e+01_fp,-4.69898e-01_fp,-1.15453e+00_fp,&
       4.10684e-01_fp,-5.42218e-02_fp,-5.69946e-02_fp,&
       3.88663e-02_fp, 9.45188e-03_fp,-2.07197e-02_fp/
!
  ZANS=psgchvx8(2,ZE,EMIN,EMAX,CCHEV)
      psghoi8=ZANS
!
      RETURN
    END FUNCTION psghoi8
! 21Jun2001 fgtok -s r8_precision.sub foo.tab "r8con.csh conversion"
! 21Jun2001 fgtok
